Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(178)

Unified Diff: ports/python_modules/cython/build.sh

Issue 138913004: Build system for statically-linked Python. (Closed) Base URL: https://naclports.googlecode.com/svn/trunk/src
Patch Set: Final update with merge against current naclports.py Created 6 years, 8 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « ports/python-static/pkg_info ('k') | ports/python_modules/cython/pkg_info » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: ports/python_modules/cython/build.sh
===================================================================
new file mode 100644
--- /dev/null
+++ b/ports/python_modules/cython/build.sh
@@ -0,0 +1,29 @@
+#!/bin/bash
+# Copyright (c) 2014 The Native Client Authors. All rights reserved.
+# Use of this source code is governed by a BSD-style license that can be
+# found in the LICENSE file.
+
+BuildStep() {
+ ChangeDir ${SRC_DIR}
+ # No destination installation
+ if ! CheckStamp install_host_${PACKAGE_NAME} ; then
+ LogExecute rm -rf build dist
+ export NACL_PORT_BUILD=host
+ # Force 32 bits here for Py_ssize_t correctness.
+ export CC="gcc -m32"
+ export CXX="g++ -m32"
+ export LD="gcc -m32"
+ LogExecute ${NACL_HOST_PYTHON} setup.py \
+ ${NACL_PYSETUP_ARGS:-} \
+ install --prefix=${NACL_HOST_PYROOT}
+ TouchStamp install_host_${PACKAGE_NAME}
+ fi
+}
+
+InstallStep() {
+ return
+}
+
+ConfigureStep() {
+ return
+}
« no previous file with comments | « ports/python-static/pkg_info ('k') | ports/python_modules/cython/pkg_info » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698